<?php
$us = mysql_fetch_array(mysql_query("SELECT *,(select `id` from `online` WHERE login_time >= ".(time()-60)." AND `id` = users.`id`) as `online`  FROM `users` WHERE `login` = '".$_POST['target']."' LIMIT 1;"));
$magic = mysql_fetch_array(mysql_query("SELECT `chanse` FROM `magic` WHERE `id` = '405' ;"));
$magic_need = mysql_fetch_array(mysql_query("SELECT `nintel`,`nlevel`,`ngray`,`name`,`img` FROM `inventory` WHERE `id` = '".$_GET['use']."' ;"));  
$effect = mysql_fetch_array(mysql_query("SELECT `time` FROM `effects` WHERE `owner` = '{$us['id']}' and `type` = '405' LIMIT 1;")); 
      
if ($user['intel'] >= 1) {
    $int=$magic['chanse'] + ($user['intel'] - 1)*3;
    if ($int>98){$int=99;}
  }
else {$int=0;}
if (!$magic_need[0]) {echo "РЎРІРёС‚РѕРє РЅРµ РЅР°Р№РґРµРЅ РІ Р’Р°С€РµРј РёРЅРІРµРЅС‚Р°СЂРµ...";}
elseif ($user['battle'] > 0) {echo "РќРµ РІ Р±РѕСЋ...";}
elseif ($user['level'] < $magic_need['nlevel']) { echo "Р’Р°С€РµРіРѕ СѓСЂРѕРІРЅСЏ РЅРµ РґРѕСЃС‚Р°С‚РѕС‡РЅРѕ РґР»СЏ РёСЃРїРѕР»СЊР·РѕРІР°РЅРёСЏ СЌС‚РѕРіРѕ Р·Р°РєР»РёРЅР°РЅРёСЏ!"; }
elseif ($user['mgray'] < $magic_need['ngray']) { echo "РќРµ РґРѕСЃС‚Р°С‚РѕС‡РЅРѕ РІР»Р°РґРµРЅРёСЏ РЎРµСЂРѕР№ РјР°РіРёРµР№ РґР»СЏ РёСЃРїРѕР»СЊР·РѕРІР°РЅРёСЏ СЌС‚РѕРіРѕ Р·Р°РєР»РёРЅР°РЅРёСЏ!"; }
elseif ($user['intel'] < $magic_need['nintel']) { echo "Р’Р°С€РµРіРѕ РёРЅС‚РµР»Р»РµРєС‚Р° РЅРµ РґРѕСЃС‚Р°С‚РѕС‡РЅРѕ РґР»СЏ РёСЃРїРѕР»СЊР·РѕРІР°РЅРёСЏ СЌС‚РѕРіРѕ Р·Р°РєР»РёРЅР°РЅРёСЏ!"; }
elseif ($effect['time']) {echo "РќР° РїРµСЂСЃРѕРЅР°Р¶Рµ СѓР¶Рµ РµСЃС‚СЊ Р·Р°РєР»СЏС‚РёРµ РњРёРєСЃС‚СѓСЂР° Р¶РёР·РЅРµРЅРЅС‹С… СЃРёР»"; }
elseif ($user->getRoom() != $us['room']) { echo "РџРµСЂСЃРѕРЅР°Р¶ РІ РґСЂСѓРіРѕР№ РєРѕРјРЅР°С‚Рµ!"; }
elseif (!$us['online']) {echo "РџРµСЂСЃРѕРЅР°Р¶ РЅРµ РІ РёРіСЂРµ!";}

elseif (rand(1,100) < $int) {    

/////РІС‹С‡РёСЃР»СЏРµРј С‚РёРї Р¶Р¶/////
if($magic_need['nintel']==1){$zz=1;}
elseif($magic_need['nintel']==2){$zz=2;}
elseif($magic_need['nintel']==3){$zz=3;}
elseif($magic_need['nintel']==4){$zz=4;}
elseif($magic_need['nintel']==5){$zz=5;}


$plushp=floor($us['vinos']*$zz);
if($user['intel']>=100){$timeplus=10800; $timetext='3';}else{$timeplus=7200; $timetext='2';}

      addch("<img src=i/magic/".$magic_need['img'].">РџРµСЂСЃРѕРЅР°Р¶ &quot;{$user['login']}&quot; РЅР°Р»РѕР¶РёР» Р·Р°РєР»СЏС‚РёРµ \"".$magic_need['name']."\" РЅР° &quot;{$_POST['target']}&quot;, СЃСЂРѕРєРѕРј ".$timetext." С‡Р°СЃР°.");
      mysql_query("UPDATE `users` SET `maxhp`=`maxhp`+'".$plushp."' WHERE `id` = '".$us['id']."' LIMIT 1;");
      mysql_query("INSERT INTO `effects` (`owner`,`name`,`time`,`type`,`maxhp`) values ('".(int)$us['id']."','".$magic_need['name']."',".(time()+$timeplus).",405,'".$plushp."');");    
      echo "<font color=red><b>РќР° РїРµСЂСЃРѕРЅР°Р¶Р° \"{$_POST['target']}\" РЅР°Р»РѕР¶РµРЅРѕ Р·Р°РєР»СЏС‚РёРµ \"".$magic_need['name']."\" </b></font>";      
      $bet=1;
      

} else {
        echo "РЎРІРёС‚РѕРє СЂР°СЃСЃС‹РїР°Р»СЃСЏ РІ РІР°С€РёС… СЂСѓРєР°С…...";
        $bet=1;
      }  


